import { ApiBody } from "../../../model/open-api/ApiBody";
/**
 * Decorator that can be placed on an endpoint to describe the request
 * in any generated OpenAPI specification.
 *
 * @param apiBodyInfo Request body info.
 */
export declare function apiRequest(apiBodyInfo: ApiBody): (classDefinition: Object | Function, methodName: string) => void;
